package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum MenuLinkType implements IBaseEnum{
    /** 普通 */
    NORMAL(0, "普通", SysConstains.STYLE_DEFAULT),
    /** 弹出 */
    POP(1, "弹出", SysConstains.STYLE_DEFAULT),
    /** 脚本（JavaScript） */
    SCRIPT(2, "脚本", SysConstains.STYLE_DEFAULT);
    
    private int value;
    private String desc;
    private String style;

    MenuLinkType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static MenuLinkType getByValue(int value) {
        for (MenuLinkType menuLinkType : MenuLinkType.values()) {
            if (menuLinkType.getValue() == value) {
                return menuLinkType;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (MenuLinkType item : MenuLinkType.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
